# List budgets Endpoint: GET /v1/businesses/{client_id}/budgets Version: v1 Security: BearerAuth ## Query parameters: - `offset` (integer) Offset to retrieve items from. Example: 50 - `limit` (integer) Number of items per page. Example: 50 - `is_deleted` (boolean) Whether the resource is deleted. - `budget_type` (string) The type of budget. Enum: "BUDGET", "SUBSCRIPTION" - `has_member_limits` (boolean) Whether the budget has member limits. ## Path parameters: - `client_id` (integer, required) The ID of the business. Example: 123 ## Response 200 fields (application/json): - `count` (integer) The total number of budgets that match the query. Example: 100 - `next` (string) The URL to the next page of budgets. Example: "offset=50&limit=50" - `previous` (string) The URL to the previous page of budgets. Example: "offset=0&limit=50" - `results` (array) - `results.id` (string) The ID of the budget. Example: "e33b7c61-5124-4ba0-b238-e4c573133715" - `results.name` (string) The name of the budget. Example: "Sales Team" - `results.budget_type` (string) The type of budget. Enum: "BUDGET", "SUBSCRIPTION" - `results.available_amount` (number) The available amount of the budget. Example: 800 - `results.spent_amount` (number) The amount of the budget that has been spent. Example: 200 - `results.reset_amount` (number) The reset amount of the budget. Example: 1000 - `results.reset_period` (string) The reset period of the budget. Enum: "DAILY", "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY", "FINANCIAL_YEAR", "NEVER" - `results.current_period_start` (string) The start date of the current period in UTC. Example: "2024-01-01T00:00:00Z" - `results.current_period_end` (string,null) The end date of the current period in UTC. Example: "2024-01-31T23:59:59Z" - `results.has_member_limits` (boolean) Whether the budget has member limits. - `results.is_deleted` (boolean) Whether the budget is deleted. - `results.created` (string) The date and time when the budget was created in UTC. Example: "2024-01-01T00:00:00Z" - `results.updated` (string) The date and time when the budget was last updated in UTC. Example: "2024-01-01T00:00:00Z" ## Response 401 fields ## Response 403 fields